Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.raw
Class Nat

    java.lang.Object
      org.bouncycastle.math.raw.Nat

public abstract class Nat
extends java.lang.Object

Constructor Summary
`Nat()`

Method Summary
`static int` | `add(int len, int[] x, int[] y, int[] z)`
`static int` | `add33At(int len, int x, int[] z, int zPos)`
`static int` | `add33At(int len, int x, int[] z, int zOff, int zPos)`
`static int` | `add33To(int len, int x, int[] z)`
`static int` | `add33To(int len, int x, int[] z, int zOff)`
`static int` | `addBothTo(int len, int[] x, int[] y, int[] z)`
`static int` | `addBothTo(int len, int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static int` | `addDWordAt(int len, long x, int[] z, int zPos)`
`static int` | `addDWordAt(int len, long x, int[] z, int zOff, int zPos)`
`static int` | `addDWordTo(int len, long x, int[] z)`
`static int` | `addDWordTo(int len, long x, int[] z, int zOff)`
`static int` | `addTo(int len, int[] x, int[] z)`
`static int` | `addTo(int len, int[] x, int[] z, int cIn)`
`static int` | `addTo(int len, int[] x, int xOff, int[] z, int zOff)`
`static int` | `addTo(int len, int[] x, int xOff, int[] z, int zOff, int cIn)`
`static int` | `addToEachOther(int len, int[] u, int[] v)`
`static int` | `addToEachOther(int len, int[] u, int uOff, int[] v, int vOff)`
`static int` | `addWordAt(int len, int x, int[] z, int zPos)`
`static int` | `addWordAt(int len, int x, int[] z, int zOff, int zPos)`
`static int` | `addWordTo(int len, int x, int[] z)`
`static int` | `addWordTo(int len, int x, int[] z, int zOff)`
`static int` | `cadd(int len, int mask, int[] x, int[] y, int[] z)`
`static int` | `caddTo(int len, int mask, int[] x, int[] z)`
`static void` | `cmov(int len, int mask, int[] x, int xOff, int[] z, int zOff)`
`static int` | `compare(int len, int[] x, int[] y)`
`static int` | `compare(int len, int[] x, int xOff, int[] y, int yOff)`
`static int[]` | `copy(int len, int[] x)`
`static void` | `copy(int len, int[] x, int[] z)`
`static void` | `copy(int len, int[] x, int xOff, int[] z, int zOff)`
`static long[]` | `copy64(int len, long[] x)`
`static void` | `copy64(int len, long[] x, int xOff, long[] z, int zOff)`
`static void` | `copy64(int len, long[] x, long[] z)`
`static int[]` | `create(int len)`
`static long[]` | `create64(int len)`
`static int` | `csub(int len, int mask, int[] x, int[] y, int[] z)`
`static int` | `csub(int len, int mask, int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static int` | `czero(int x)`
`static long` | `czero64(long x)`
`static int` | `dec(int len, int[] z)`
`static int` | `dec(int len, int[] x, int[] z)`
`static int` | `decAt(int len, int[] z, int zPos)`
`static int` | `decAt(int len, int[] z, int zOff, int zPos)`
`static boolean` | `diff(int len, int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static boolean` | `eq(int len, int[] x, int[] y)`
`static int` | `equalTo(int len, int[] x, int y)`
`static int` | `equalTo(int len, int[] x, int[] y)`
`static int` | `equalTo(int len, int[] x, int xOff, int y)`
`static int` | `equalTo(int len, int[] x, int xOff, int[] y, int yOff)`
`static long` | `equalTo64(int len, long[] x, int xOff, long y)`
`static long` | `equalTo64(int len, long[] x, int xOff, long[] y, int yOff)`
`static long` | `equalTo64(int len, long[] x, long y)`
`static long` | `equalTo64(int len, long[] x, long[] y)`
`static int` | `equalToZero(int len, int[] x)`
`static int` | `equalToZero(int len, int[] x, int xOff)`
`static long` | `equalToZero64(int len, long[] x)`
`static long` | `equalToZero64(int len, long[] x, int xOff)`
`static int[]` | `fromBigInteger(int bits, java.math.BigInteger x)`
`static long[]` | `fromBigInteger64(int bits, java.math.BigInteger x)`
`static int` | `getBit(int[] x, int bit)`
`static int` | `getBitLength(int len, int[] x)`
`static int` | `getBitLength(int len, int[] x, int xOff)`
`static boolean` | `gte(int len, int[] x, int[] y)`
`static boolean` | `gte(int len, int[] x, int xOff, int[] y, int yOff)`
`static int` | `inc(int len, int[] z)`
`static int` | `inc(int len, int[] x, int[] z)`
`static int` | `incAt(int len, int[] z, int zPos)`
`static int` | `incAt(int len, int[] z, int zOff, int zPos)`
`static boolean` | `isOne(int len, int[] x)`
`static boolean` | `isZero(int len, int[] x)`
`static int` | `lessThan(int len, int[] x, int[] y)`
`static int` | `lessThan(int len, int[] x, int xOff, int[] y, int yOff)`
`static void` | `mul(int[] x, int xOff, int xLen, int[] y, int yOff, int yLen, int[] zz, int zzOff)`
`static void` | `mul(int len, int[] x, int[] y, int[] zz)`
`static void` | `mul(int len, int[] x, int xOff, int[] y, int yOff, int[] zz, int zzOff)`
`static int` | `mul31BothAdd(int len, int a, int[] x, int b, int[] y, int[] z, int zOff)`
`static int` | `mulAddTo(int len, int[] x, int[] y, int[] zz)`
`static int` | `mulAddTo(int len, int[] x, int xOff, int[] y, int yOff, int[] zz, int zzOff)`
`static int` | `mulWord(int len, int x, int[] y, int[] z)`
`static int` | `mulWord(int len, int x, int[] y, int yOff, int[] z, int zOff)`
`static int` | `mulWordAddTo(int len, int x, int[] y, int yOff, int[] z, int zOff)`
`static int` | `mulWordDwordAddAt(int len, int x, long y, int[] z, int zPos)`
`static int` | `shiftDownBit(int len, int[] z, int c)`
`static int` | `shiftDownBit(int len, int[] z, int zOff, int c)`
`static int` | `shiftDownBit(int len, int[] x, int c, int[] z)`
`static int` | `shiftDownBit(int len, int[] x, int xOff, int c, int[] z, int zOff)`
`static int` | `shiftDownBits(int len, int[] z, int bits, int c)`
`static int` | `shiftDownBits(int len, int[] z, int zOff, int bits, int c)`
`static int` | `shiftDownBits(int len, int[] x, int bits, int c, int[] z)`
`static int` | `shiftDownBits(int len, int[] x, int xOff, int bits, int c, int[] z, int zOff)`
`static int` | `shiftDownWord(int len, int[] z, int c)`
`static int` | `shiftUpBit(int len, int[] z, int c)`
`static int` | `shiftUpBit(int len, int[] z, int zOff, int c)`
`static int` | `shiftUpBit(int len, int[] x, int c, int[] z)`
`static int` | `shiftUpBit(int len, int[] x, int xOff, int c, int[] z, int zOff)`
`static long` | `shiftUpBit64(int len, long[] x, int xOff, long c, long[] z, int zOff)`
`static int` | `shiftUpBits(int len, int[] z, int bits, int c)`
`static int` | `shiftUpBits(int len, int[] z, int zOff, int bits, int c)`
`static int` | `shiftUpBits(int len, int[] x, int bits, int c, int[] z)`
`static int` | `shiftUpBits(int len, int[] x, int xOff, int bits, int c, int[] z, int zOff)`
`static long` | `shiftUpBits64(int len, long[] z, int zOff, int bits, long c)`
`static long` | `shiftUpBits64(int len, long[] x, int xOff, int bits, long c, long[] z, int zOff)`
`static void` | `square(int len, int[] x, int[] zz)`
`static void` | `square(int len, int[] x, int xOff, int[] zz, int zzOff)`
`static int` | `squareWordAddTo(int[] x, int xPos, int[] z)`
`static int` | `squareWordAddTo(int[] x, int xOff, int xPos, int[] z, int zOff)`
`static int` | `sub(int len, int[] x, int[] y, int[] z)`
`static int` | `sub(int len, int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static int` | `sub33At(int len, int x, int[] z, int zPos)`
`static int` | `sub33At(int len, int x, int[] z, int zOff, int zPos)`
`static int` | `sub33From(int len, int x, int[] z)`
`static int` | `sub33From(int len, int x, int[] z, int zOff)`
`static int` | `subBothFrom(int len, int[] x, int[] y, int[] z)`
`static int` | `subBothFrom(int len, int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static int` | `subDWordAt(int len, long x, int[] z, int zPos)`
`static int` | `subDWordAt(int len, long x, int[] z, int zOff, int zPos)`
`static int` | `subDWordFrom(int len, long x, int[] z)`
`static int` | `subDWordFrom(int len, long x, int[] z, int zOff)`
`static int` | `subFrom(int len, int[] x, int[] z)`
`static int` | `subFrom(int len, int[] x, int xOff, int[] z, int zOff)`
`static int` | `subWordAt(int len, int x, int[] z, int zPos)`
`static int` | `subWordAt(int len, int x, int[] z, int zOff, int zPos)`
`static int` | `subWordFrom(int len, int x, int[] z)`
`static int` | `subWordFrom(int len, int x, int[] z, int zOff)`
`static java.math.BigInteger` | `toBigInteger(int len, int[] x)`
`static void` | `xor(int len, int[] x, int[] y, int[] z)`
`static void` | `xor(int len, int[] x, int y, int[] z)`
`static void` | `xor(int len, int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static void` | `xor(int len, int[] x, int xOff, int y, int[] z, int zOff)`
`static void` | `xor64(int len, long[] x, int xOff, long[] y, int yOff, long[] z, int zOff)`
`static void` | `xor64(int len, long[] x, int xOff, long y, long[] z, int zOff)`
`static void` | `xor64(int len, long[] x, long[] y, long[] z)`
`static void` | `xor64(int len, long[] x, long y, long[] z)`
`static void` | `xorBothTo(int len, int[] x, int[] y, int[] z)`
`static void` | `xorBothTo(int len, int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static void` | `xorBothTo64(int len, long[] x, int xOff, long[] y, int yOff, long[] z, int zOff)`
`static void` | `xorBothTo64(int len, long[] x, long[] y, long[] z)`
`static void` | `xorTo(int len, int[] x, int[] z)`
`static void` | `xorTo(int len, int[] x, int xOff, int[] z, int zOff)`
`static void` | `xorTo64(int len, long[] x, int xOff, long[] z, int zOff)`
`static void` | `xorTo64(int len, long[] x, long[] z)`
`static void` | `xorToEachOther(int len, int[] u, int[] v)`
`static void` | `xorToEachOther(int len, int[] u, int uOff, int[] v, int vOff)`
`static void` | `xorToEachOther64(int len, long[] u, int uOff, long[] v, int vOff)`
`static void` | `xorToEachOther64(int len, long[] u, long[] v)`
`static void` | `zero(int len, int[] z)`
`static void` | `zero(int len, int[] z, int zOff)`
`static void` | `zero64(int len, long[] z)`
`static void` | `zero64(int len, long[] z, int zOff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Nat

    public Nat()

Method Detail

### add

    public static int add(int len,
                          int[] x,
                          int[] y,
                          int[] z)

### add33At

    public static int add33At(int len,
                              int x,
                              int[] z,
                              int zPos)

### add33At

    public static int add33At(int len,
                              int x,
                              int[] z,
                              int zOff,
                              int zPos)

### add33To

    public static int add33To(int len,
                              int x,
                              int[] z)

### add33To

    public static int add33To(int len,
                              int x,
                              int[] z,
                              int zOff)

### addBothTo

    public static int addBothTo(int len,
                                int[] x,
                                int[] y,
                                int[] z)

### addBothTo

    public static int addBothTo(int len,
                                int[] x,
                                int xOff,
                                int[] y,
                                int yOff,
                                int[] z,
                                int zOff)

### addDWordAt

    public static int addDWordAt(int len,
                                 long x,
                                 int[] z,
                                 int zPos)

### addDWordAt

    public static int addDWordAt(int len,
                                 long x,
                                 int[] z,
                                 int zOff,
                                 int zPos)

### addDWordTo

    public static int addDWordTo(int len,
                                 long x,
                                 int[] z)

### addDWordTo

    public static int addDWordTo(int len,
                                 long x,
                                 int[] z,
                                 int zOff)

### addTo

    public static int addTo(int len,
                            int[] x,
                            int[] z)

### addTo

    public static int addTo(int len,
                            int[] x,
                            int xOff,
                            int[] z,
                            int zOff)

### addTo

    public static int addTo(int len,
                            int[] x,
                            int[] z,
                            int cIn)

### addTo

    public static int addTo(int len,
                            int[] x,
                            int xOff,
                            int[] z,
                            int zOff,
                            int cIn)

### addToEachOther

    public static int addToEachOther(int len,
                                     int[] u,
                                     int[] v)

### addToEachOther

    public static int addToEachOther(int len,
                                     int[] u,
                                     int uOff,
                                     int[] v,
                                     int vOff)

### addWordAt

    public static int addWordAt(int len,
                                int x,
                                int[] z,
                                int zPos)

### addWordAt

    public static int addWordAt(int len,
                                int x,
                                int[] z,
                                int zOff,
                                int zPos)

### addWordTo

    public static int addWordTo(int len,
                                int x,
                                int[] z)

### addWordTo

    public static int addWordTo(int len,
                                int x,
                                int[] z,
                                int zOff)

### cadd

    public static int cadd(int len,
                           int mask,
                           int[] x,
                           int[] y,
                           int[] z)

### caddTo

    public static int caddTo(int len,
                             int mask,
                             int[] x,
                             int[] z)

### cmov

    public static void cmov(int len,
                            int mask,
                            int[] x,
                            int xOff,
                            int[] z,
                            int zOff)

### compare

    public static int compare(int len,
                              int[] x,
                              int[] y)

### compare

    public static int compare(int len,
                              int[] x,
                              int xOff,
                              int[] y,
                              int yOff)

### copy

    public static int[] copy(int len,
                             int[] x)

### copy

    public static void copy(int len,
                            int[] x,
                            int[] z)

### copy

    public static void copy(int len,
                            int[] x,
                            int xOff,
                            int[] z,
                            int zOff)

### copy64

    public static long[] copy64(int len,
                                long[] x)

### copy64

    public static void copy64(int len,
                              long[] x,
                              long[] z)

### copy64

    public static void copy64(int len,
                              long[] x,
                              int xOff,
                              long[] z,
                              int zOff)

### create

    public static int[] create(int len)

### create64

    public static long[] create64(int len)

### csub

    public static int csub(int len,
                           int mask,
                           int[] x,
                           int[] y,
                           int[] z)

### csub

    public static int csub(int len,
                           int mask,
                           int[] x,
                           int xOff,
                           int[] y,
                           int yOff,
                           int[] z,
                           int zOff)

### czero

    public static int czero(int x)

### czero64

    public static long czero64(long x)

### dec

    public static int dec(int len,
                          int[] z)

### dec

    public static int dec(int len,
                          int[] x,
                          int[] z)

### decAt

    public static int decAt(int len,
                            int[] z,
                            int zPos)

### decAt

    public static int decAt(int len,
                            int[] z,
                            int zOff,
                            int zPos)

### diff

    public static boolean diff(int len,
                               int[] x,
                               int xOff,
                               int[] y,
                               int yOff,
                               int[] z,
                               int zOff)

### eq

    public static boolean eq(int len,
                             int[] x,
                             int[] y)

### equalTo

    public static int equalTo(int len,
                              int[] x,
                              int y)

### equalTo

    public static int equalTo(int len,
                              int[] x,
                              int xOff,
                              int y)

### equalTo

    public static int equalTo(int len,
                              int[] x,
                              int[] y)

### equalTo

    public static int equalTo(int len,
                              int[] x,
                              int xOff,
                              int[] y,
                              int yOff)

### equalTo64

    public static long equalTo64(int len,
                                 long[] x,
                                 long y)

### equalTo64

    public static long equalTo64(int len,
                                 long[] x,
                                 int xOff,
                                 long y)

### equalTo64

    public static long equalTo64(int len,
                                 long[] x,
                                 long[] y)

### equalTo64

    public static long equalTo64(int len,
                                 long[] x,
                                 int xOff,
                                 long[] y,
                                 int yOff)

### equalToZero

    public static int equalToZero(int len,
                                  int[] x)

### equalToZero

    public static int equalToZero(int len,
                                  int[] x,
                                  int xOff)

### equalToZero64

    public static long equalToZero64(int len,
                                     long[] x)

### equalToZero64

    public static long equalToZero64(int len,
                                     long[] x,
                                     int xOff)

### fromBigInteger

    public static int[] fromBigInteger(int bits,
                                       java.math.BigInteger x)

### fromBigInteger64

    public static long[] fromBigInteger64(int bits,
                                          java.math.BigInteger x)

### getBit

    public static int getBit(int[] x,
                             int bit)

### getBitLength

    public static int getBitLength(int len,
                                   int[] x)

### getBitLength

    public static int getBitLength(int len,
                                   int[] x,
                                   int xOff)

### gte

    public static boolean gte(int len,
                              int[] x,
                              int[] y)

### gte

    public static boolean gte(int len,
                              int[] x,
                              int xOff,
                              int[] y,
                              int yOff)

### inc

    public static int inc(int len,
                          int[] z)

### inc

    public static int inc(int len,
                          int[] x,
                          int[] z)

### incAt

    public static int incAt(int len,
                            int[] z,
                            int zPos)

### incAt

    public static int incAt(int len,
                            int[] z,
                            int zOff,
                            int zPos)

### isOne

    public static boolean isOne(int len,
                                int[] x)

### isZero

    public static boolean isZero(int len,
                                 int[] x)

### lessThan

    public static int lessThan(int len,
                               int[] x,
                               int[] y)

### lessThan

    public static int lessThan(int len,
                               int[] x,
                               int xOff,
                               int[] y,
                               int yOff)

### mul

    public static void mul(int len,
                           int[] x,
                           int[] y,
                           int[] zz)

### mul

    public static void mul(int len,
                           int[] x,
                           int xOff,
                           int[] y,
                           int yOff,
                           int[] zz,
                           int zzOff)

### mul

    public static void mul(int[] x,
                           int xOff,
                           int xLen,
                           int[] y,
                           int yOff,
                           int yLen,
                           int[] zz,
                           int zzOff)

### mulAddTo

    public static int mulAddTo(int len,
                               int[] x,
                               int[] y,
                               int[] zz)

### mulAddTo

    public static int mulAddTo(int len,
                               int[] x,
                               int xOff,
                               int[] y,
                               int yOff,
                               int[] zz,
                               int zzOff)

### mul31BothAdd

    public static int mul31BothAdd(int len,
                                   int a,
                                   int[] x,
                                   int b,
                                   int[] y,
                                   int[] z,
                                   int zOff)

### mulWord

    public static int mulWord(int len,
                              int x,
                              int[] y,
                              int[] z)

### mulWord

    public static int mulWord(int len,
                              int x,
                              int[] y,
                              int yOff,
                              int[] z,
                              int zOff)

### mulWordAddTo

    public static int mulWordAddTo(int len,
                                   int x,
                                   int[] y,
                                   int yOff,
                                   int[] z,
                                   int zOff)

### mulWordDwordAddAt

    public static int mulWordDwordAddAt(int len,
                                        int x,
                                        long y,
                                        int[] z,
                                        int zPos)

### shiftDownBit

    public static int shiftDownBit(int len,
                                   int[] z,
                                   int c)

### shiftDownBit

    public static int shiftDownBit(int len,
                                   int[] z,
                                   int zOff,
                                   int c)

### shiftDownBit

    public static int shiftDownBit(int len,
                                   int[] x,
                                   int c,
                                   int[] z)

### shiftDownBit

    public static int shiftDownBit(int len,
                                   int[] x,
                                   int xOff,
                                   int c,
                                   int[] z,
                                   int zOff)

### shiftDownBits

    public static int shiftDownBits(int len,
                                    int[] z,
                                    int bits,
                                    int c)

### shiftDownBits

    public static int shiftDownBits(int len,
                                    int[] z,
                                    int zOff,
                                    int bits,
                                    int c)

### shiftDownBits

    public static int shiftDownBits(int len,
                                    int[] x,
                                    int bits,
                                    int c,
                                    int[] z)

### shiftDownBits

    public static int shiftDownBits(int len,
                                    int[] x,
                                    int xOff,
                                    int bits,
                                    int c,
                                    int[] z,
                                    int zOff)

### shiftDownWord

    public static int shiftDownWord(int len,
                                    int[] z,
                                    int c)

### shiftUpBit

    public static int shiftUpBit(int len,
                                 int[] z,
                                 int c)

### shiftUpBit

    public static int shiftUpBit(int len,
                                 int[] z,
                                 int zOff,
                                 int c)

### shiftUpBit

    public static int shiftUpBit(int len,
                                 int[] x,
                                 int c,
                                 int[] z)

### shiftUpBit

    public static int shiftUpBit(int len,
                                 int[] x,
                                 int xOff,
                                 int c,
                                 int[] z,
                                 int zOff)

### shiftUpBit64

    public static long shiftUpBit64(int len,
                                    long[] x,
                                    int xOff,
                                    long c,
                                    long[] z,
                                    int zOff)

### shiftUpBits

    public static int shiftUpBits(int len,
                                  int[] z,
                                  int bits,
                                  int c)

### shiftUpBits

    public static int shiftUpBits(int len,
                                  int[] z,
                                  int zOff,
                                  int bits,
                                  int c)

### shiftUpBits64

    public static long shiftUpBits64(int len,
                                     long[] z,
                                     int zOff,
                                     int bits,
                                     long c)

### shiftUpBits

    public static int shiftUpBits(int len,
                                  int[] x,
                                  int bits,
                                  int c,
                                  int[] z)

### shiftUpBits

    public static int shiftUpBits(int len,
                                  int[] x,
                                  int xOff,
                                  int bits,
                                  int c,
                                  int[] z,
                                  int zOff)

### shiftUpBits64

    public static long shiftUpBits64(int len,
                                     long[] x,
                                     int xOff,
                                     int bits,
                                     long c,
                                     long[] z,
                                     int zOff)

### square

    public static void square(int len,
                              int[] x,
                              int[] zz)

### square

    public static void square(int len,
                              int[] x,
                              int xOff,
                              int[] zz,
                              int zzOff)

### squareWordAddTo

    public static int squareWordAddTo(int[] x,
                                      int xPos,
                                      int[] z)

### squareWordAddTo

    public static int squareWordAddTo(int[] x,
                                      int xOff,
                                      int xPos,
                                      int[] z,
                                      int zOff)

### sub

    public static int sub(int len,
                          int[] x,
                          int[] y,
                          int[] z)

### sub

    public static int sub(int len,
                          int[] x,
                          int xOff,
                          int[] y,
                          int yOff,
                          int[] z,
                          int zOff)

### sub33At

    public static int sub33At(int len,
                              int x,
                              int[] z,
                              int zPos)

### sub33At

    public static int sub33At(int len,
                              int x,
                              int[] z,
                              int zOff,
                              int zPos)

### sub33From

    public static int sub33From(int len,
                                int x,
                                int[] z)

### sub33From

    public static int sub33From(int len,
                                int x,
                                int[] z,
                                int zOff)

### subBothFrom

    public static int subBothFrom(int len,
                                  int[] x,
                                  int[] y,
                                  int[] z)

### subBothFrom

    public static int subBothFrom(int len,
                                  int[] x,
                                  int xOff,
                                  int[] y,
                                  int yOff,
                                  int[] z,
                                  int zOff)

### subDWordAt

    public static int subDWordAt(int len,
                                 long x,
                                 int[] z,
                                 int zPos)

### subDWordAt

    public static int subDWordAt(int len,
                                 long x,
                                 int[] z,
                                 int zOff,
                                 int zPos)

### subDWordFrom

    public static int subDWordFrom(int len,
                                   long x,
                                   int[] z)

### subDWordFrom

    public static int subDWordFrom(int len,
                                   long x,
                                   int[] z,
                                   int zOff)

### subFrom

    public static int subFrom(int len,
                              int[] x,
                              int[] z)

### subFrom

    public static int subFrom(int len,
                              int[] x,
                              int xOff,
                              int[] z,
                              int zOff)

### subWordAt

    public static int subWordAt(int len,
                                int x,
                                int[] z,
                                int zPos)

### subWordAt

    public static int subWordAt(int len,
                                int x,
                                int[] z,
                                int zOff,
                                int zPos)

### subWordFrom

    public static int subWordFrom(int len,
                                  int x,
                                  int[] z)

### subWordFrom

    public static int subWordFrom(int len,
                                  int x,
                                  int[] z,
                                  int zOff)

### toBigInteger

    public static java.math.BigInteger toBigInteger(int len,
                                                    int[] x)

### xor

    public static void xor(int len,
                           int[] x,
                           int y,
                           int[] z)

### xor

    public static void xor(int len,
                           int[] x,
                           int xOff,
                           int y,
                           int[] z,
                           int zOff)

### xor

    public static void xor(int len,
                           int[] x,
                           int[] y,
                           int[] z)

### xor

    public static void xor(int len,
                           int[] x,
                           int xOff,
                           int[] y,
                           int yOff,
                           int[] z,
                           int zOff)

### xor64

    public static void xor64(int len,
                             long[] x,
                             long y,
                             long[] z)

### xor64

    public static void xor64(int len,
                             long[] x,
                             int xOff,
                             long y,
                             long[] z,
                             int zOff)

### xor64

    public static void xor64(int len,
                             long[] x,
                             long[] y,
                             long[] z)

### xor64

    public static void xor64(int len,
                             long[] x,
                             int xOff,
                             long[] y,
                             int yOff,
                             long[] z,
                             int zOff)

### xorBothTo

    public static void xorBothTo(int len,
                                 int[] x,
                                 int[] y,
                                 int[] z)

### xorBothTo

    public static void xorBothTo(int len,
                                 int[] x,
                                 int xOff,
                                 int[] y,
                                 int yOff,
                                 int[] z,
                                 int zOff)

### xorBothTo64

    public static void xorBothTo64(int len,
                                   long[] x,
                                   long[] y,
                                   long[] z)

### xorBothTo64

    public static void xorBothTo64(int len,
                                   long[] x,
                                   int xOff,
                                   long[] y,
                                   int yOff,
                                   long[] z,
                                   int zOff)

### xorTo

    public static void xorTo(int len,
                             int[] x,
                             int[] z)

### xorTo

    public static void xorTo(int len,
                             int[] x,
                             int xOff,
                             int[] z,
                             int zOff)

### xorTo64

    public static void xorTo64(int len,
                               long[] x,
                               long[] z)

### xorTo64

    public static void xorTo64(int len,
                               long[] x,
                               int xOff,
                               long[] z,
                               int zOff)

### xorToEachOther

    public static void xorToEachOther(int len,
                                      int[] u,
                                      int[] v)

### xorToEachOther

    public static void xorToEachOther(int len,
                                      int[] u,
                                      int uOff,
                                      int[] v,
                                      int vOff)

### xorToEachOther64

    public static void xorToEachOther64(int len,
                                        long[] u,
                                        long[] v)

### xorToEachOther64

    public static void xorToEachOther64(int len,
                                        long[] u,
                                        int uOff,
                                        long[] v,
                                        int vOff)

### zero

    public static void zero(int len,
                            int[] z)

### zero

    public static void zero(int len,
                            int[] z,
                            int zOff)

### zero64

    public static void zero64(int len,
                              long[] z)

### zero64

    public static void zero64(int len,
                              long[] z,
                              int zOff)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD